/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;


public class PagePush {

 //   {"displayName":"user 60001","pagePushURL":"https://confluence.forge.avaya.com/pages/viewpage.action?pageId=123218155","timestamp":1617374144438,"senderType":"live_agent","method":"newPushPageMessage"}

    @JsonProperty("displayName")
    private String displayName;
    @JsonProperty("pagePushURL")
    private String pagePushURL;
    @JsonProperty("senderType")
    private String senderType;
    @JsonProperty("timestamp")
    private String timestamp;
    @JsonProperty("method")
    private String method;


    public PagePush(){

    }

    public PagePush(String displayName, String pagePushURL, String senderType, String timestamp, String method) {
        this.displayName = displayName;
        this.pagePushURL = pagePushURL;
        this.senderType = senderType;
        this.timestamp = timestamp;
        this.method = method;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getPagePushURL() {
        return pagePushURL;
    }

    public void setPagePushURL(String pagePushURL) {
        this.pagePushURL = pagePushURL;
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    @Override
    public String toString() {
        return "PagePush{" +
                "displayName='" + displayName + '\'' +
                ", pagePushURL='" + pagePushURL + '\'' +
                ", pagePushDestination='" + senderType + '\'' +
                ", timestamp=" + timestamp +
                ", method='" + method + '\'' +
                '}';
    }
}
